<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo_14</title>
</head>
<body>
    <h1>Ejemplo 14</h1>

    <script>

        const allfib = ( n ) => {
            for (var i = 0; i < n; i++) {
                console.log(`${i} : ${fib(i)}`)
            } 
        }

        const fib = ( n ) => {
            if (n <= 0 ) return 0;
            else if ( n === 1) return 1;
            return fib( n - 1) + fib(n -2);
        }
        
        let f = allfib(6);
        console.log(f);

    </script>
    
</body>
</html>